techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Menus
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
        • List orders
        • Order Details
        • Vouchered Cart
        • Discounted Cart
        • Redeemed Cart
        • Add-On Order
        • Redeemed Add-Ons Cart
    • Menus
      • List Menus
        GET
      • Menu Details
        GET
      • Menu Add-Ons Details
        GET
      • Menu Options
        GET
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. Menus

Menu Options

GET
https://api.techrar.com/api/v1/menus/category/{category_id}/options/
This endpoint allows customers to retrieve all available menu options for a specific category to view available products

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/menus/category/94/options/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": 0,
        "custom_fields": null,
        "product": {
            "id": 0,
            "created_at": "string",
            "modified_at": "string",
            "deleted_at": null,
            "is_deleted": true,
            "name_ar": "string",
            "name_en": "string",
            "original_price": 0,
            "discount_percentage": 0,
            "image": "string",
            "nutritions": null,
            "nutrition_options": [
                {
                    "id": 0,
                    "custom_fields": null,
                    "app_id": null,
                    "created_at": "string",
                    "modified_at": "string",
                    "is_deleted": true,
                    "deleted_at": null,
                    "ordering": 0,
                    "calories": 0,
                    "carbs": 0,
                    "protein": 0,
                    "fat": 0,
                    "product": 0,
                    "size": 0
                }
            ],
            "restaurant_id": 0,
            "is_sub": true,
            "description_ar": "string",
            "description_en": "string",
            "is_active": true,
            "in_stock": true,
            "category_id": 0,
            "allergies": [
                "string"
            ],
            "variant": [
                "string"
            ],
            "allergens_dislikes": [
                "string"
            ]
        },
        "app_id": null,
        "created_at": "string",
        "modified_at": "string",
        "is_deleted": true,
        "deleted_at": null,
        "ordering": 0,
        "is_active": true,
        "is_recommended": true,
        "category": 0,
        "day": 0
    }
]
Modified at 2025-12-09 11:31:17
Previous
Menu Add-Ons Details
Next
List Restaurant
Built with